<?php
session_start();
require 'conexao.php';

// Verifique se o usuário não está logado
if (!isset($_SESSION['user_id'])) {
    // Redirecione-o para a página de login
    header("Location: login.php");
}

if (isset($_POST['trabalhar'])) {
    $local = $_POST['local']; // Local a ser pesquisado
$trabalhando = "trabalhando";
$personagem = $_SESSION['personagem'];
$tempotrabalho = date('Y-m-d H:i:s', strtotime('+3 minutes'));


        // Atualize a coluna 'local' na tabela 'personagens' para o novo valor
    $sql = "UPDATE personagens SET situacao = :trabalhando, paralisado = :tempotrabalho WHERE id = :personagem";
    $stmt = $pdo->prepare($sql);
    

    $stmt->bindParam(':trabalhando', $trabalhando, PDO::PARAM_STR);
    $stmt->bindParam(':tempotrabalho', $tempotrabalho, PDO::PARAM_STR);
    
    $stmt->bindParam(':personagem', $personagem, PDO::PARAM_STR);
    if ($stmt->execute()) {
    header("Location: dashboardmed.php");
    exit; // Certifique-se de usar exit para interromper o script após o redirecionamento
} else {
    echo "Erro ao entrar em serviço.";
}

}

?>